This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 324811 - gdm login failure with NIS authentication
gdm login failure with NIS authentication
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Blocker
  Show dependency treegraph
 
Reported: 2007-10-09 08:35 EDT by Ian
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-10 08:57:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian 2007-10-09 08:35:37 EDT
Description of problem: If you setup NIS authentication by editing usual files
(/etc/yp.conf /etc/sysconfig/network /etc/nsswitch.conf) then logins using gdm fail


Version-Release number of selected component (if applicable):


How reproducible: Every time


Steps to Reproduce:
1. Configure NIS
2. Attempt login using gdm
3.
  
Actual results: syslog:pam_unix(gdm:auth): check pass; user unknown


Expected results: successful login


Additional info: There is a fix posted in bz#134393 which is to set
USENIS=yes in /etc/sysconfig/authconfig but gdm should really respect
settings in /etc/nsswitch.conf

Using kdm as login manager works OK.
Comment 1 Matthias Clasen 2007-10-10 02:02:09 EDT
If this prevents login, it is blocker material
Comment 2 Ian 2007-10-10 07:03:51 EDT
Did a fresh install with all current updates. gdm with NIS logins work fine now.
Changelog for gdm does not hint at a fix, so I can only assume I made a mistake
- please close this bug.

Comment 3 Matthias Clasen 2007-10-10 08:57:48 EDT
Thanks for the update.

Note You need to log in before you can comment on or make changes to this bug.